<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(isset($_POST['ikdata'])){
if (!isset($_SESSION)) session_start();
$db=pDatabase::getInstance();
if(!$db->ceckmodule($cl)) exit;

header("Content-type: application/json");
	$data=$_POST['ikdata'];
	$fungsi = strip_tags(stripslashes($data[0]));
	$ex=$fungsi($data);
	if($ex){
		echo $ex;
	}else{
		echo false;
	}
}else{
	echo false;
}
function gethalaman($qr,$dt,$jumlah){
	$db=pDatabase::getInstance();
	
	$rs=$db->loadAssoc($qr,$dt);
	
	$total=1;
	if(isset($rs['total'])){
		$total=ceil($rs['total']/$jumlah);
	}
	if($total==0){
		return 1;
	}else{
		return $total;
	}
}

function datacari01($data=array())
{
	$mode=0;
	$kunci=array("nama","kode");
	$alias=array("Nama Sumber Anggaran","kode");
	$kolom=array("nama","kode");
	$jenis=array();
	
	$hasil=array("kunci"=>$kunci,"kolom"=>$kolom,"alias"=>$alias,"jenis"=>$jenis);
	if(sizeof($data)>0){
		$mode=$data[1];
	}
	if($mode==0){
		return $hasil;
	}else{
		return json_encode($hasil);
	}
}

function getTabel($data){
	$db=pDatabase::getInstance();
	$cari=$data[3];
	$arrcr=explode("&", $cari);
	
	$datapush=array();
	$wh="";
	if(sizeof($arrcr)>0){
		$arrkunci0=explode("=", $arrcr[0]);
		if(sizeof($arrcr)==1 && sizeof($arrkunci0)==1){
			$cr="%$cari%";
			$wh.="AND nama LIKE ? ";
			array_push($datapush,$cr);
		}else{
			$datacari=$db->datacari(datacari01(),$arrcr);
			$datapush=$datacari['datapush'];
			$wh=$datacari['query'];
		}
	}
	
	$qt="SELECT COUNT(*) as total FROM tb_jenis_pengadaan
		WHERE id>0 ".$wh;
		
	$total=gethalaman($qt,$datapush,$data[2]);
	array_push($datapush,$data[1],$data[2]);
	
	$query="SELECT *,
			$total as halaman FROM tb_jenis_pengadaan		
		WHERE id>0 ".$wh."
		ORDER BY kode ASC LIMIT ?,?";
	$rs=$db->jsonData($query,$datapush);
	return $rs;
}
function inputjenispengadaan($data){
	$db=pDatabase::getInstance();
	$query="insert into tb_jenis_pengadaan (kode,nama) values (?,?)";
	$datapush=array($data['kode'],$data['nama']);
	$rs=$db->query($query,$datapush);
	return $rs;
}
function editjenispengadaan($data){
	$db=pDatabase::getInstance();
	$query="update tb_jenis_pengadaan set kode=?,nama=? where id=?";
	$rs=$db->query($query,array($data['kode'],$data['nama'],$data['id']));
	return $rs;
}
function hapusData($data){
	$db=pDatabase::getInstance();
	$query="DELETE FROM tb_jenis_pengadaan WHERE id=?";
	$rs=$db->query($query,array($data['id']));
	return $rs;
}

function setStatus($data){
	$db=pDatabase::getInstance();
	$query="update tb_jenis_pengadaan set status=? WHERE id=?";
	$rs=$db->query($query,array($data['status'],$data['id']));
	return $rs;
}

?>